/***文档注释***********************************************
 * 作者            ：
 * 创建日期     ：2018-05-14
 * 描述            ：合同变更明细表
 * 注意事项     ：
 * 遗留BUG   ：
 * 修改日期     ：
 * 修改人员     ：
 * 修改内容     ：
***********************************************************/
package market.Pms.Order.vo;
import java.io.Serializable;

import market.Pms.Order.mapper.PurOrderChangeDMapper;

import com.hnshituo.basic.vo.BaseVO;
import com.hnshituo.orm.annotation.Column;
import com.hnshituo.orm.annotation.Id;
import com.hnshituo.orm.annotation.Table;

@Table(name="PUR_ORDER_CHANGE_D", namespace=PurOrderChangeDMapper.class)
public class PurOrderChangeD extends BaseVO implements Serializable {
	/**
	 * 
	 */
	private static final long serialVersionUID = 2501138314741850237L;
	/** 
	 * 变更编号
	 */ 
	@Id
	private String change_no;
	public String getChange_no() {
		return this.change_no;
	}
	public void setChange_no(String change_no) {
		this.change_no = change_no;
	}

	/** 
	 * 变更序号
	 */ 
	@Id
	private String change_sqe;
	public String getChange_sqe() {
		return this.change_sqe;
	}
	public void setChange_sqe(String change_sqe) {
		this.change_sqe = change_sqe;
	}

	/** 
	 * 合同号
	 */ 
	@Column
	private String contract_no;
	public String getContract_no() {
		return this.contract_no;
	}
	public void setContract_no(String contract_no) {
		this.contract_no = contract_no;
	}

	/** 
	 * 订单号
	 */ 
	@Column
	private String order_no;
	public String getOrder_no() {
		return this.order_no;
	}
	public void setOrder_no(String order_no) {
		this.order_no = order_no;
	}

	/** 
	 * 变更类型（10.含税价格，20.税率，3.0数量，40，交期，50，付款方式，60.备注）
	 */ 
	@Column
	private String change_type;
	public String getChange_type() {
		return this.change_type;
	}
	public void setChange_type(String change_type) {
		this.change_type = change_type;
	}

	/** 
	 * 变更字段
	 */ 
	@Column
	private String change_code;
	public String getChange_code() {
		return this.change_code;
	}
	public void setChange_code(String change_code) {
		this.change_code = change_code;
	}

	/** 
	 * 变更描述
	 */ 
	@Column
	private String change_code_name;
	public String getChange_code_name() {
		return this.change_code_name;
	}
	public void setChange_code_name(String change_code_name) {
		this.change_code_name = change_code_name;
	}

	/** 
	 * 变更前值
	 */ 
	@Column
	private String old_value;
	public String getOld_value() {
		return this.old_value;
	}
	public void setOld_value(String old_value) {
		this.old_value = old_value;
	}

	/** 
	 * 变更后值
	 */ 
	@Column
	private String new_value;
	public String getNew_value() {
		return this.new_value;
	}
	public void setNew_value(String new_value) {
		this.new_value = new_value;
	}

	/** 
	 * 是否有效(1有效0无效)
	 */ 
	@Column
	private String validflag;
	public String getValidflag() {
		return this.validflag;
	}
	public void setValidflag(String validflag) {
		this.validflag = validflag;
	}

}
